CREATE TABLE cn_rs_column_mappings (
    COLUMN_MAPPING_ID        NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    COLUMN_USAGE_ID          NUMBER(18, 0) ,
    USAGE_SUBTYPE            VARCHAR2(120) ,
    MAPPED_TABLE_NAME        VARCHAR2(120) ,
    MAPPED_TABLE_ALIAS       VARCHAR2(40)  ,
    MAPPED_COLUMN_NAME       VARCHAR2(640) ,
    MODULE_ID                VARCHAR2(128) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY       VARCHAR2(120) ,
    ATTRIBUTE1               VARCHAR2(960) ,
    ATTRIBUTE2               VARCHAR2(960) ,
    ATTRIBUTE3               VARCHAR2(960) ,
    ATTRIBUTE4               VARCHAR2(960) ,
    ATTRIBUTE5               VARCHAR2(960) ,
    ATTRIBUTE6               VARCHAR2(960) ,
    ATTRIBUTE7               VARCHAR2(960) ,
    ATTRIBUTE8               VARCHAR2(960) ,
    ATTRIBUTE9               VARCHAR2(960) ,
    ATTRIBUTE10              VARCHAR2(960) ,
    ATTRIBUTE11              VARCHAR2(960) ,
    ATTRIBUTE12              VARCHAR2(960) ,
    ATTRIBUTE13              VARCHAR2(960) ,
    ATTRIBUTE14              VARCHAR2(960) ,
    ATTRIBUTE15              VARCHAR2(960) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    COLUMN_MAPPING_ID        NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    COLUMN_USAGE_ID          NUMBER(18, 0) ,
    USAGE_SUBTYPE            VARCHAR2(120) ,
    MAPPED_TABLE_NAME        VARCHAR2(120) ,
    MAPPED_TABLE_ALIAS       VARCHAR2(40)  ,
    MAPPED_COLUMN_NAME       VARCHAR2(640) ,
    MODULE_ID                VARCHAR2(128) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY       VARCHAR2(120) ,
    ATTRIBUTE1               VARCHAR2(960) ,
    ATTRIBUTE2               VARCHAR2(960) ,
    ATTRIBUTE3               VARCHAR2(960) ,
    ATTRIBUTE4               VARCHAR2(960) ,
    ATTRIBUTE5               VARCHAR2(960) ,
    ATTRIBUTE6               VARCHAR2(960) ,
    ATTRIBUTE7               VARCHAR2(960) ,
    ATTRIBUTE8               VARCHAR2(960) ,
    ATTRIBUTE9               VARCHAR2(960) ,
    ATTRIBUTE10              VARCHAR2(960) ,
    ATTRIBUTE11              VARCHAR2(960) ,
    ATTRIBUTE12              VARCHAR2(960) ,
    ATTRIBUTE13              VARCHAR2(960) ,
    ATTRIBUTE14              VARCHAR2(960) ,
    ATTRIBUTE15              VARCHAR2(960) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_cn_rs_column_mappings PRIMARY KEY (COLUMN_MAPPING_ID, COLUMN_MAPPING_ID)
);
